回填任务已在运行

Moses Skoda工程师预计阅读 1 分钟

API 会以 409 Conflict 返回此错误。其 type 为 https://lingo.dev/docs/api/errors/backfill-running。所有错误的通用结构,请参阅错误和状态码。

回填任务 <backfillId> 仍在此处运行。请跟踪其进度,待任务完成后再启动另一个回填任务。

字段#

除标准成员 type、status、title 和 detail 外,响应正文还包含以下字段。detail 文本由这些字段生成,因此客户端可以改为显示自定义文本。

字段类型
backfillIdstring

示例#

json
{
  "detail": "Backfill <backfillId> is still running here. Follow it, and start another once it finishes.",
  "backfillId": "<backfillId>",
  "type": "https://lingo.dev/docs/api/errors/backfill-running",
  "status": 409,
  "title": "Backfill already running"
}

返回此错误的端点#

  • POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history
  • POST /v2/organizations/{orgId}/measurements/{measurementId}/backfill
  • POST /v2/organizations/{orgId}/zendesk/connections/{connectionId}/import-history